#!/bin/bash

# paru -S plasma-wayland-session --noconfirm


yadResults=$(yad --title="Linux Setup Script" \
 --form --columns=2 \
 --field Installations:LBL \
 --field Debloat:chk \
 --field paru:chk \
 --field htop:chk \
 --field nomachine:chk \
 --field librewolf-bin:chk \
 --field brave-bin:chk \
 --field pacseek-bin:chk \
 --field docker:chk \
 --field 'Install pkgs from List':chk \
 --field 'Export pkgs to List':chk \
 --field ' ':LBL \
 --field Configuration:LBL \
 --field "Grub Timeout:chk" \
 --field Konsave:chk \
 --field Flexo:chk \
 --field "Enable SSH:chk" \
 --field ' ':LBL \
 --field ' ':LBL \
 --field ' ':LBL \
 --field ' ':LBL \
 --field ' ':LBL)





#DRIVEPART="`echo $PARTS | cut -d "|" -f 2`"
echo $yadResults



IFS='|'     # space is set as delimiter
read -ra SECTIONS <<< "$yadResults"   # str is read into an array as tokens separated by IFS





# echo "first section"
# echo "${SECTIONS[0]}"
# echo "second:"
# echo "${SECTIONS[1]}"
# echo "loop"


index=0
for i in "${SECTIONS[@]}"; do   # access each element of array
    #echo "$index"
    #echo "$i"



if [[ $index -eq 0 ]]
then # DEBLOAT
    if [[ $i == *"TRUE"* ]]; then
        echo "Uninstalling EOS Extras: firewalld eos-update-notifier welcome eos-quickstart"
        sudo pacman -R firewalld eos-update-notifier welcome eos-quickstart --noconfirm
    fi
fi


if [[ $index -eq 1 ]]
then
    if [[ $i == *"TRUE"* ]]; then
        echo "Installing paru"
        sudo pacman -S paru --noconfirm
    fi
fi

if [[ $index -eq 2 ]]
then
    if [[ $i == *"TRUE"* ]]; then
        echo "Installing htop"
        paru -S htop --noconfirm
    fi
fi

if [[ $index -eq 3 ]]
then
    if [[ $i == *"TRUE"* ]]; then
        echo "Installing NoMachine"
        paru -S nomachine --noconfirm
    fi
fi

if [[ $index -eq 4 ]]
then
    if [[ $i == *"TRUE"* ]]; then
        echo "Installing LibreWolf"
        paru -S librewolf-bin --noconfirm
    fi
fi

if [[ $index -eq 5 ]]
then
    if [[ $i == *"TRUE"* ]]; then
        echo "installing pacseek"
        paru -S pacseek-bin --noconfirm
    fi
fi


if [[ $index -eq 6 ]]
then
    if [[ $i == *"TRUE"* ]]; then
    echo "Installing and enabling Docker"
    paru -S docker --noconfirm && sudo systemctl enable docker.service && sudo systemctl enable containerd.service
    fi
fi


if [[ $index -eq 11 ]]
then
    if [[ $i == *"TRUE"* ]]; then
    echo "Changing GRUB timeout"
    sudo nano /etc/default/grub
    sudo grub-mkconfig -o /boot/grub/grub.cfg
    fi
fi


if [[ $index -eq 12 ]]
then
    if [[ $i == *"TRUE"* ]]; then
    echo "Installing Konsave and Importing Profile"
    paru -S konsave --noconfirm
    cd /home/terminal/Downloads/
    smbget smb://smb/Toolbox/Installs/Linux/KonsaveTMPLT.knsv -a

    #konsave -i $PWD/KonsaveTMPLT.knsv -f

    konsave -i /home/terminal/Downloads/KonsaveTMPLT.knsv -f
    konsave -a KonsaveTMPLT
    # reboot
    fi
fi
if [[ $index -eq 13 ]]
then
    if [[ $i == *"TRUE"* ]]; then
    echo "Adding Flexo to mirrorlist"
    echo 'Server = http://10.0.0.101:7878/$repo/os/$arch' | sudo tee -a /etc/pacman.d/mirrorlist
    fi
fi


if [[ $index -eq 14 ]]
then
    if [[ $i == *"TRUE"* ]]; then
    echo "Enabling SSH Access"
    sudo systemctl enable sshd.service && sudo systemctl start sshd.service
    fi
fi


if [[ $index -eq 15 ]]
then
    if [[ $i == *"TRUE"* ]]; then
    echo "TEMPLATE"
    fi
fi






    ((index++)) # Add 1 to count
done



#items=`yad --list --separator='' --height=600 --multiple --column="Items" item1 item2 item3`


#echo $items

# for item in $SECTIONS; do
#     echo "$item"
# done



#yad --title="Desktop entry editor" --text="Simple desktop entry editor" \
#--form --field="Type:CB" --field="Name" --field="Generic name" \
#--field="Comment" --field="Command:FL" --field="Icon" \
#--field="In termianl:CHK" --field="Startup notify:CHK" \
#"Application!URI" "Name" "Generic name" "This is the comment" \
#"/usr/bin/yad" "yad" FALSE TRUE


